name: 'Build project'

on:
  push:
    branches: [master]
  pull_request:
    branches: [master]

jobs:
  install:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v3
      - name: Setup node.js
        uses: actions/setup-node@v4
        with:
          node-version: 20

      - name: Install and build
        run: |
          yarn
          yarn build
